Bug 244075 - Memory leaks in digest-md5 plugin
Memory leaks in digest-md5 plugin
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: cyrus-sasl (Show other bugs)
4.5
All Linux
low Severity low
: ---
: ---
Assigned To: Steve Conklin
Brian Brock
:
Depends On:
Blocks: 240316
  Show dependency treegraph
 
Reported: 2007-06-13 12:56 EDT by Nathan Kinder
Modified: 2007-11-16 20:14 EST (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2007-0795
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-04 10:49:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathan Kinder 2007-06-13 12:56:30 EDT
There are some memory leaks in the Cyrus-SASL digest-md5 plugin that would be
nice to have fixed in RHEL 4.6.  These leaks cause problems for server software
that accepts digest-md5 SASL for authentication.  Here are details on the leaks
I'd like addressed:

- Cipher context is leaked (cvs diff -r1.185 -r1.186 digestmd5.c)
- Response value and realm are leaked in reauth situations (cvs diff -r1.184
-r1.1.85 digestmd5.c)
Comment 7 Red Hat Bugzilla 2007-09-04 10:49:42 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0795.html

Note You need to log in before you can comment on or make changes to this bug.